

html {scroll-behavior: smooth;}
body {
                 margin: 0;
    padding: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;}

	

* {      font-family: 'barlow',sans-serif;
    position: relative;
    transition: 0.3s;
    margin: 0px;
    box-sizing: border-box;}

a {text-decoration:none;color:unset;}
	
	/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* track */
::-webkit-scrollbar-track {
 
  border-radius: 0px;
}
 
/* handle */
::-webkit-scrollbar-thumb {
      background: #ffffff;
    border-radius: 0px;
}

/* handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #f03a01; 
}

	.alert {    width: -webkit-fill-available;
    padding: 1rem;
    max-width: 500px;
    margin: 5px auto;
    border-radius: 1px;}
	
	.success {    background: #d3ffd5;
    color: #0c4810;}
	.info {    background: #E3F2FD;
    color: #0D47A1;}
	.danger,.failed {background: #f3dede;
    color: #8d1414;}
	
	
	#home {top:0px !important;}
.header {        width: -webkit-fill-available;
    
    display: grid;
    grid-template-columns: 20% auto;
    align-items: center;
    overflow: visible;
    z-index: 5;}
.header .head_cont{        vertical-align: middle;
    margin: 0 auto;
    width: -webkit-fill-available;
    text-align: center;
}
.header .head_cont .head_logo{}
.header .head_cont .head_logo img{       width: auto;
    height: 81px;
    padding: 7px;	}
.header .head_cont .search_bar{           border: 1px solid white;
    background: white;
    border-radius: 6px;
    height: 35px;
    padding: 1px 8px 0px 5px;
    display: flex;
}
.header .head_cont .search_bar input{    background: transparent;
    padding: 6px;
    border: 0px;
    outline: none;
    width: auto;
    font-size: 15px;
}
.header .head_cont .search_bar button{       padding: 6px;
    font-size: 18px;
    border: 0px;
    vertical-align: middle;
    border-radius: 20px;
    outline: 1px solid white;
    background: #012563;
    color: white;
    position: absolute;
    right: 0px;
}
.header .head_cont .head_text {    display: inline-block;
    padding: 17px 6px;
    font-size: 11px;
    cursor: pointer;
    vertical-align: middle;}
.header .head_cont .head_text h3{       display: inline-block;
    font-weight: 500;
    margin: 0px 5px 0px 0px;
    font-size: 18px;}
.header .head_cont .head_text i {    display: inline-block;
 
    padding: 5px;
    width: 25px;
    font-size: 16px;
    border-radius: 23px;
    height: 24px;
    text-align: center;}

#toggle_btn2 h3{      background: #f03a01;
    color: white;
    padding: 4px 10px;
    margin: 0px;
    border-radius: 4px;}


.mobile_header {display:none;z-index: 2;}
#google_translate_element {       height: 35px;
    overflow: hidden;
    padding-top: 2px;}
.goog-te-gadget .goog-te-combo {
                         margin: 0px 0px !important;
    padding: 6px;
    border: 0px solid #cfcfcf;
    border-radius: 4px;
    font-size: 12px;
    display: inline-block;
    width: 138px;
}
.goog-te-gadget:hover .goog-te-combo {
                  
        background: #2196f3;
    color: white;
    
}
#mobile {display:none;}


.mobile_head {width: fit-content;
    display: none;}
	
.mobile_open {display:none;}
.mobile_close {display:none;}
.pc_head {display:inline-block;}

.mobile_background {display:none;}
.pc_background {    position: fixed;
    width: -webkit-fill-available;
    height: auto;
    top: 0;
    left: 0;
    display: block;}
/*loaders */
.loader_back {         z-index: 100;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #fffffffa;}
.loader_box {          width: 50px;
    height: 50px;
    position: relative;
    margin: 200px auto 50px;
    border: 5px solid #ff5722;
    border-left: 5px solid white;
    border-radius: 100px;
    animation: rotatel1 1.1s linear  infinite;
    -webkit-animation: rotatel1 1.1s linear  infinite;
	}


	
@-webkit-keyframes rotatel1 {
	0% {transform:rotate(0deg);}
	100% {transform: rotate(360deg);}
}
	
@keyframes rotatel1 {
	0% {transform:rotate(0deg);}
	100% {transform: rotate(360deg);}
}

   
.progress_bar {
	              animation: prog1 1s linear forwards;
    -webkit-animation: prog1 1s linear forwards;
    animation-timeline: scroll();
    -webkit-animation-timline: scroll();
    background: black;
    position: fixed;
    height: 2px;
    width: 8px;
    top: 0;
    z-index: 36;
    left: 0;}

@-webkit-keyframes prog1{
	0% {width:0px}
	100% {width:100%;}
}
@-moz-keyframes prog1{
	0% {width:0px}
	100% {width:100%;}
}@keyframes prog1{
	0% {width:0px}
	100% {width:100%;}
}
	
	
	.slider_image {}
	.slide_item {         height: 500px;
    display: grid;
    align-items: center;}
	
	.slide_item  img {      position: absolute;
    width: 100%;
    height: auto;
    top: 0;
    filter: brightness(0.5);}
	.slide_item  h1 {       color: black;
    z-index: 3;
    padding: 3rem;
    font-size: 4rem;
    margin: 0px;
    text-align: center;
    color: white;
    text-transform: capitalize;}
	.know_more_btn {    background: #ff5722;
    padding: 10px 30px;
    color: white;
    width: fit-content;
    margin: 0 auto;
    font-size: 2rem;}
	
	.hero {          display: grid;
    justify-content: space-evenly;
    max-width: 1200px;
    margin: 10px auto;
    min-height: auto;
    align-items: start;
    padding: 1rem;
    grid-template-columns: 50% 50%;}
	
	.h_text{       padding-right: 1rem;}
	.h_text h1{           font-size: 2rem;
    padding: 2rem 1rem;}
	.h_text p{    padding: 10px 1rem;
    font-size: 1rem;}
	
	.btn1 {          background: #ff5600;
    padding: 10px;
    width: -webkit-fill-available;
    margin: 1rem;
    text-align: center;
    font-weight: 500;
    color: white;
    border-radius: 3px;
    font-size: 20px;
    display: inline-block;
    max-width: 300px;
	
	}
	
	.btn2 {       background: #fff3f3;
    padding: 10px;
    color: black;
    width: 200px;
    margin: 10px;
    font-weight: 700;
    text-align: center;
    border-radius: 3px;max-width: 300px;
    font-size: 22px;
    display: inline-block;}
	
	.h_tag_id {             padding: 24px;
    margin: 10px;
    border-radius: 8px;
    max-width: 500px;}
	
	.h_tag_id h3 i{
		color:#c43a0e;
	}
	.h_tag_id h3{       font-size: 2rem;
    padding: 12px 1px;
    text-align: left;}
	
	.h_tag_id form{}
	.h_tag_id label{      width: -webkit-fill-available;
    display: block;
    font-size: 16px;
    padding: 5px 0px;
    font-weight: 600;}
	
	
	.h_tag_id button{       background: #f03a01;
    color: white;
    padding: 12px;
    width: -webkit-fill-available;
    margin: 15px 0px;
    border: 0px;
    font-size: 20px;
    border-radius: 3px;}
	
	.input_search {     display: grid;
    grid-template-columns: 90% 10%;
    align-items: baseline;
    text-align: center;
    border: 1px solid #f03a01;
    border-radius: 4px;
    align-items: center;}
	.input_search input{     min-width: 250px;
    padding: 12px;
    background: #ffffff1c;
    border-radius: 2px;
    border: 0px;
    margin: 0px 0px;
    font-size: 22px;
    width: -webkit-fill-available;
    outline: none;}
	
	.input_search i{    height: -webkit-fill-available;
    display: grid;
    align-items: center;
    top: 0;
    position: relative;
    background: #f03a01;
    color: #ffffff;
    font-size: 22px;}
	
	.h_comp {        color: #ff5600;
    font-size: 3rem;}
	
.wtsp_chat {         background: linear-gradient(45deg, green, #20af0e);
    padding: 9px;
    font-size: 35px;
    color: white;
    position: fixed;
    border: 2px solid white;
    bottom: 10;
    left: 10;
    width: 57px;
    text-align: center;
    z-index: 100;
    border-radius: 8px;}
	
	.about_us {    max-width: 1200px;
    margin: 10px auto;text-align:center;}
	
	.title{    font-size: 3rem;
    text-align: center;
    padding: 2rem 1rem 1rem;}
	
	.about_us p{    font-size: 1rem;
    text-align: center;
    padding: 2rem;}
	.about_box {      width: 45%;
    border: 0px solid;
    display: inline-grid;
    margin: 15px;
    grid-template-rows: 40px 49px auto;
    margin-top: 50px;
    align-items: center;
    background: #ededed;
    text-align: left;
    padding: 15px;
    border-radius: 10px;
    z-index: 2;
	
	}
	
	.about_box i{    font-size: 2rem;
    text-align: left;
    padding: 1rem;
    color: red;}
	

.animation_onscroll {
		
	 -webkit-animation: scaleanimation 1s linear forwards;
	 -moz-animation: scaleanimation 1s linear forwards;
	 animation: scaleanimation 1s linear forwards;
	 scale:0.5;
    animation-timeline: view();
    -webkit-animation-timeline: view();
    -moz-animation-timeline: view();
	animation-range:entry;
	/*animation-range-start:entry;
	animation-range-end:200px;*/
    opacity:0;
	}
	
	@keyframes scaleanimation {
		0% {opacity:0;scale:0.5;}
		
		100% {opacity:1;scale:1;}
	}
	
	
	
	
	.about_box img{    width: 73px;
    height: 73px;
    position: relative;
    top: -35px;
    text-align: center;
    margin: 0 auto;
    background: #1f2752;
    text-align: center;
    padding: 10px;
    border-radius: 10px;}
	.about_box h3{    font-size: 25px;
    padding-left: 20px;
    margin: 0px;}
	.about_box p{    font-size: 15px;
    text-align: justify;
    padding: 1rem;}
	
	.pro_scroller {
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
    scroll-snap-type: x mandatory;
    width: fit-content;
    max-width: -webkit-fill-available;
    margin: 10px auto;
}
	
	.cat_scroller {     max-width: -webkit-fill-available;
    width: fit-content;
    margin: 10px auto;
    text-align: center;}
	
	.cat_box {        width: 200px;
    display: inline-block;
    overflow: hidden;
    background: #efefef;
    margin: 4px;
    border-radius: 5px;
    padding: 20px;scale:1;
  scroll-snap-align: center;
  }
  
	.cat_box img{    width: 100px;
    margin: 0 auto;
    display: block;
    height: 100px;}
	.cat_name{       font-size: 20px;
    text-align: center;
    padding: 10px 3px;
    font-weight: 500;
    color: #000000;
    }
	
	
	.cat_box:hover {scale:0.98;}
	 
	
	.buy_btn1 {    background: #000000;
    padding: 6px;
    text-align: center;
    margin: 10px;
    border-radius: 4px;
    font-weight: 500;
    font-size: 22px;}
	
		/* width */
.pro_scroller::-webkit-scrollbar {
     height: 0px;
    width: 10px;
}



.title3 {    font-size: 22px;
    font-weight: 500;
    padding: 10px;}
.footer {    padding: 2rem;color:white;background:black;}
.footer p{    text-align: center;
    font-size: 14px;}
.footer p .fa-heart {color:red;}
.foot_cont {      display: inline-block;
    vertical-align: top;
    width: 40%;
    margin: 2rem 1rem;}
.foot_link {        padding: 5px 10px;
    font-size: 15px;}

.go_to_top {    background: linear-gradient(45deg, #673AB7, #3F51B5);
    width: fit-content;
    position: fixed;
    right: 9px;
    z-index: 44;
    bottom: 13px;
    font-size: 27px;
    width: 47px;
    padding: 10px;
    border-radius: 38px;
    text-align: -webkit-center;}
	
	.product_detail {    display: grid;
    grid-template-columns: 50% 50%;
    margin: 0px auto;
    align-items: start;
    max-width: 1000px;}
	
	.image_slider {       overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
    scroll-snap-type: x mandatory;
    height: auto;
    width: 95%;
    margin: 0 auto;}
	.image_slider img{     width: 80%;
    height: auto;
    scroll-snap-align: center;
    max-height: 600px;
    margin: 10px;
    border-radius: 21px;}
	.pro_detail {    width: 95%;
    margin: 0 auto;
    padding: 10px;}
	.pro_detail h1{    font-size: 2rem;}
	.pro_detail .pro_mrp {    font-size: 20px;
    color: #888888;
    padding: 10px 0px;
    font-weight: 600;}
	.pro_detail .pro_price {    font-size: 30px;
    color: white;
    padding: 0px 0px;
    font-weight: 600;}
	.pro_detail .pro_qty {      background: black;
    color: white;
    border: 2px solid;
    padding: 8px;
    margin: 10px 7px;
    border-radius: 3px;
    font-size: 20px;
    width: 100px;}
	
	.pro_detail .pro_buy_btn ,.pro_detail .pro_add_cart {    background: #f03a01;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    margin: 10px;
    padding: 10px;
    width: -webkit-fill-available;
    border-radius: 3px;
    max-width: 300px;cursor:pointer;}
	
	.pro_detail .pro_add_cart {    background: #000000;}
	
	
	.btn_holder {    display: flex;
    text-align: left;}
	
	
	.pro_dis {    white-space: pre-wrap;}
	
	.user_profiles {}
	.profile_box {       border: 1px solid gray;
    width: 200px;
    overflow: hidden;
    display: inline-block;
    vertical-align: text-top;
    margin: 10px;}
	
	.profile_box img{    width: 200px;
    height: 200px;}
	
	.profile_name {         font-size: 20px;
    padding: 4px 5px;
    font-weight: 500;}
	
	.profile_category {    font-size: 15px;
    padding: 3px 5px;
    font-weight: 500;}
	
	.profile_btn_holder {       display: flex;
    width: fit-content;}
	.profile_btn_holder i{     padding: 10px;
    font-size: 22px;
    margin: 10px;
    border-radius: 30px;
    width: 44px;
    height: 44px;
    color: white;
    text-align: center;}
	
	.profile_btn_holder i.fa-phone {
            background: #30a3ff;}
	
	.profile_btn_holder i.fa-whatsapp {
    background: #299e2d;}
	
	.profile_rating {        color: #ff3d00;
    font-size: 18px;
    padding: 0px 4px;}